List private trades
curl --request GET \
--url https://api.paperdrill.dev/v1/trades \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.paperdrill.dev/v1/trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.paperdrill.dev/v1/trades"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "<string>",
"symbol": "<string>",
"price": "125.50",
"qty": "125.50",
"side": "BUY",
"isMaker": true,
"orderId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]{
"error": {
"code": "VALIDATION_ERROR",
"message": "Request validation failed",
"details": [
{
"field": "qty",
"message": "invalid decimal format"
}
]
},
"requestId": "f4c0baf4-b8d2-4c9a-a17b-c8656c4a7b0e"
}Account
List private trades
Returns fills involving the caller, newest first.
Requires the ORDER_READ scope.
GET
/
trades
List private trades
curl --request GET \
--url https://api.paperdrill.dev/v1/trades \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.paperdrill.dev/v1/trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.paperdrill.dev/v1/trades"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "<string>",
"symbol": "<string>",
"price": "125.50",
"qty": "125.50",
"side": "BUY",
"isMaker": true,
"orderId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]{
"error": {
"code": "VALIDATION_ERROR",
"message": "Request validation failed",
"details": [
{
"field": "qty",
"message": "invalid decimal format"
}
]
},
"requestId": "f4c0baf4-b8d2-4c9a-a17b-c8656c4a7b0e"
}Authorizations
A scoped API key created in the PaperDrill dashboard.
Query Parameters
Maximum number of trades to return.
Required range:
1 <= x <= 500Response
Private trades returned successfully.
A non-negative decimal encoded as a string.
Pattern:
^\d+(\.\d+)?$Example:
"125.50"
A non-negative decimal encoded as a string.
Pattern:
^\d+(\.\d+)?$Example:
"125.50"
Available options:
BUY, SELL